@import url("https://fonts.googleapis.com/css2?family=Caveat&family=Kalam&display=swap");
body {
  font-family: "Poppins", sans-serif;
  margin: 0;
  background: linear-gradient(-45deg, #ee7752, #e73c7e, #23a6d5, #23d5ab);
  background-color: #ffffff;
  background-image: linear-gradient(
    6deg,
    #ffffff 0%,
    #6284ff 50%,
    #ff0000 100%
  );
  background-position: center;
  overflow: hidden;
  background-repeat: no-repeat;
}

h1 {
  font-size: 3rem;
  position: absolute;
  top: 10px;
  width: 100%;
  text-align: center;
  z-index: 100;
  display: block;
}

span {
  opacity: 0;
  transition: all 1s ease;
  transform: translateY(100px);
  display: inline-block;
  /*We did this because the transform won't work without it as span is a inline element and that is why we made the display inline block */
  font-size: 3rem;
  font-family: "Kalam", cursive;
  font-weight: lighter;
  padding: 0px 2.5px;
  /* For the 3d text of the heading */
  text-shadow: 1px 1px 1px #919191, 1px 2px 1px #919191, 1px 3px 1px #919191,
    1px 4px 1px #919191, 1px 5px 1px #919191, 1px 18px 6px rgba(16, 16, 16, 0.4),
    1px 22px 10px rgba(16, 16, 16, 0.2), 1px 25px 35px rgba(16, 16, 16, 0.2),
    1px 30px 60px rgba(16, 16, 16, 0.4);
  /* background-clip: text;
  -webkit-text-fill-color: transparent; */
}

span.fade {
  opacity: 1;
  transform: translateY(0px);
}

.gameover {
  color: black;
  font-size: 3rem;
  position: fixed;
  top: 100px;
  width: 100%;
  text-align: center;
  z-index: 110;
  display: block;
}

.overlay {
  position: fixed;
  bottom: 100px;
  right: 130px;
  z-index: 9999;
}

#reset-button {
  padding: 20px 40px;
  font-size: 1.5rem;
  border-radius: 10px;
  background-color: gray;
  color: white;
  border: none;
  cursor: pointer;
}

#score-container {
  position: fixed;
  top: 40px;
  right: 40px;
  color: white;
  font-size: 24px;
  text-align: right;
  z-index: 100;
}

#score {
  margin-bottom: 10px;
}

#highscore {
  font-weight: bold;
}



